DRM_MODESET_LOCK_CRT(9)

NAME
drm_modeset_lock_crtc - lock crtc with hidden acquire ctx for a plane update

SYNOPSIS

void drm_modeset_lock_crtc(struct drm_crtc * crtc, struct drm_plane * plane);

ARGUMENTS

crtc
    DRM CRTC

plane
    DRM plane to be updated on crtc

DESCRIPTION

This function locks the given crtc and plane (which should be either the primary or cursor plane) using a hidden acquire context. This is necessary so that drivers internally using the atomic interfaces can grab further locks with the lock acquire context.

Note that plane can be NULL, e.g. when the cursor support hasn't yet been converted to universal planes yet.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT